import { Language, LanguageSupport } from "@codemirror/language";
import { syntaxHighlight } from "./highlights";
import { ParserAdapter } from "./ParserAdapter";
import { Facet } from "@codemirror/state";
const parserAdapter = new ParserAdapter();
export const vertexqlLanguage = new Language(Facet.define(), parserAdapter, [], "VertexQL");
export const vertexql = new LanguageSupport(vertexqlLanguage, [syntaxHighlight]);
//# sourceMappingURL=vertexql.js.map