import { offsetToPos } from "./helpers";
import { getOpts, } from "./state";
export const fillAllFieldsCommands = (view) => {
    const opts = getOpts(view.state);
    const currentPosition = view.state.selection.main.head;
    const pos = offsetToPos(view.state.doc, currentPosition);
    if (schema && (opts === null || opts === void 0 ? void 0 : opts.onFillAllFields)) {
        opts.onFillAllFields(view, view.state.doc.toString(), pos);
    }
    return true;
};
export const showInDocsCommand = (view) => {
    const opts = getOpts(view.state);
    const currentPosition = view.state.selection.main.head;
    const pos = offsetToPos(view.state.doc, currentPosition);
    if (schema && (opts === null || opts === void 0 ? void 0 : opts.onShowInDocs)) {
        opts.onShowInDocs("fieldName", "fieldType", "parentType");
    }
    return true;
};
//# sourceMappingURL=commands.js.map