import { Completion, CompletionContext } from "@codemirror/autocomplete";
import { EditorView } from "@codemirror/view";
import { CompletionItem } from "vertexql-language-service";
import { Position } from "./helpers";
export interface VqlExtensionsOptions {
    showErrorOnInvalidSchema?: boolean;
    onShowInDocs?: (field?: string, type?: string, parentType?: string) => void;
    onFillAllFields?: (view: EditorView, query: string, cursor: Position) => void;
    onCompletionInfoRender?: (gqlCompletionItem: CompletionItem, ctx: CompletionContext, item: Completion) => Node | Promise<Node | null> | null;
}
//# sourceMappingURL=interfaces.d.ts.map