import { offsetToPos } from "./helpers";
import { getOpts, } from "./state";
export const fillAllFieldsCommands = (view) => {
    const opts = getOpts(view.state);
    const currentPosition = view.state.selection.main.head;
    const pos = offsetToPos(view.state.doc, currentPosition);
    if (schema && opts?.onFillAllFields) {
        opts.onFillAllFields(view, view.state.doc.toString(), pos);
    }
    return true;
};
export const showInDocsCommand = (view) => {
    const opts = getOpts(view.state);
    const currentPosition = view.state.selection.main.head;
    const pos = offsetToPos(view.state.doc, currentPosition);
    if (schema && opts?.onShowInDocs) {
        opts.onShowInDocs("fieldName", "fieldType", "parentType");
    }
    return true;
};
//# sourceMappingURL=commands.js.map